{
  "name": "@kevisual/video-tools",
  "version": "0.0.1",
  "description": "",
  "main": "index.js",
  "basename": "/root/video-tools",
  "app": {
    "key": "video-tools",
    "entry": "dist/app.mjs",
    "type": "system-app",
    "files": [
      "dist"
    ]
  },
  "scripts": {
    "watch": "rollup -c rollup.config.mjs -w",
    "build": "rollup -c rollup.config.mjs",
    "dev": "cross-env NODE_ENV=development nodemon --delay 2.5 -e js,cjs,mjs --exec node dist/app.mjs",
    "dev:watch": "cross-env NODE_ENV=development concurrently -n \"Watch,Dev\" -c \"green,blue\" \"npm run watch\" \"sleep 1 && npm run dev\" ",
    "dev:bun": "bun run src/dev.ts --watch",
    "test": "tsx  test/**/*.ts",
    "clean": "rm -rf dist",
    "pub": "npm run build && envision pack -p -u",
    "cmd": "tsx cmd/index.ts "
  },
  "keywords": [],
  "author": "abearxiong <xiongxiao@xiongxiao.me>",
  "license": "MIT",
  "type": "module",
  "types": "types/index.d.ts",
  "files": [
    "dist",
    "src"
  ],
  "publishConfig": {
    "access": "public"
  },
  "dependencies": {
    "@kevisual/router": "0.0.10",
    "@kevisual/use-config": "^1.0.10",
    "@kevisual/video": "^0.0.1",
    "@picovoice/porcupine-node": "^3.0.6",
    "cookie": "^1.0.2",
    "dayjs": "^1.11.13",
    "eventemitter3": "^5.0.1",
    "formidable": "^3.5.2",
    "lodash-es": "^4.17.21",
    "nanoid": "^5.1.5",
    "vosk": "^0.3.39"
  },
  "devDependencies": {
    "@kevisual/types": "^0.0.6",
    "@kevisual/use-config": "^1.0.10",
    "@rollup/plugin-alias": "^5.1.1",
    "@rollup/plugin-commonjs": "^28.0.3",
    "@rollup/plugin-json": "^6.1.0",
    "@rollup/plugin-node-resolve": "^16.0.1",
    "@rollup/plugin-replace": "^6.0.2",
    "@rollup/plugin-typescript": "^12.1.2",
    "@types/crypto-js": "^4.2.2",
    "@types/formidable": "^3.4.5",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^22.14.1",
    "@types/vosk": "^0.3.1",
    "@types/ws": "^8.18.1",
    "commander": "^13.1.0",
    "concurrently": "^9.1.2",
    "cross-env": "^7.0.3",
    "dotenv": "^16.5.0",
    "inquire": "^0.4.8",
    "ioredis": "^5.6.1",
    "nodemon": "^3.1.9",
    "pg": "^8.14.1",
    "pino": "^9.6.0",
    "pino-pretty": "^13.0.0",
    "pm2": "^6.0.5",
    "rimraf": "^6.0.1",
    "rollup": "^4.40.0",
    "rollup-plugin-copy": "^3.5.0",
    "rollup-plugin-dts": "^6.2.1",
    "rollup-plugin-esbuild": "^6.2.1",
    "sequelize": "^6.37.7",
    "tape": "^5.9.0",
    "tsup": "^8.4.0",
    "tsx": "^4.19.3",
    "typescript": "^5.8.3",
    "ws": "npm:@kevisual/ws"
  },
  "packageManager": "pnpm@10.8.1"
}